\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{accel}
               [2013/10/29 v1.11]
%                 thanks -> institute
%              [2012/10/02 v1.1]
% 
%              [2001/11/14 v1.01]
%
% pLaTeXł\ɕύX
%\ProvidesClass{accel}
%              [2001/11/09 v1.0]
% O()
%\ProvidesClass{article}
%              [1997/10/10 v1.3x Standard LaTeX document class]

\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse

\newif\if@Proof \@Prooffalse
\DeclareOption{Proof}{\@Prooftrue}

\newif\ifHamono \Hamonofalse

\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
%\DeclareOption{tombo}{%
%  \tombowtrue \tombowdatefalse
%  \setlength{\@tombowwidth}{.1\p@}%
%  \maketombowbox}
%%\DeclareOption{landscape}
%%   {\setlength\@tempdima   {\paperheight}%
%%    \setlength\paperheight {\paperwidth}%
%%    \setlength\paperwidth  {\@tempdima}}
\fi

%%\if@compatibility
%%  \renewcommand\@ptsize{0}
%%\else
%%\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
%%\fi
%%
%%\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
%%\DeclareOption{12pt}{\renewcommand\@ptsize{2}}

\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi

\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}

\DeclareOption{draft}{\setlength\overfullrule{5pt}}

\newif\ifDraft \Draftfalse
\DeclareOption{Draft}{\Drafttrue}

\newif\ifHashira \Hashirafalse
\DeclareOption{Hashira}{\Hashiratrue}

\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
%%\DeclareOption{leqno}{\input{leqno.clo}}
%%\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}

%%\ExecuteOptions{letterpaper,10pt,oneside,onecolumn,final}
%\ExecuteOptions{a4paper,twocolumn,notitlepage,twoside,tombo,final}
\ExecuteOptions{a4paper,twocolumn,notitlepage,twoside,final}

\ProcessOptions\relax


%===== tHgTCY`Ȃ ====

%--- SANBI` --------------
\newdimen\h
\h=0.25mm
\newdimen\JQ %
\JQ=0.7392507pt
\newdimen\Q %
\Q=0.71144pt
\newdimen\@bs
\@bs=18\h
%----------------------------
%\ProvidesFile{size10.clo}
%              [1997/10/10 v1.3x
%      Standard LaTeX file (size option)]

%%% from ieice.cls(uls) -----------------------------
 %% JY1 it
% \DeclareFontShape{JY1}{mc}{m}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{gt}{m}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
 %%
% \DeclareFontShape{JY1}{mc}{b}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{mc}{eb}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{gt}{b}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{gt}{eb}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{gt}{ub}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
 %% JT1 it
% \DeclareFontShape{JT1}{mc}{m}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{gt}{m}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
 %%
% \DeclareFontShape{JT1}{mc}{b}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{mc}{eb}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{gt}{b}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{gt}{eb}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{gt}{ub}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
 %% sc
% \DeclareFontShape{JY1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
 %% n
% \DeclareFontShape{JY1}{gt}{b}{n}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{gt}{b}{n}{<->ssub*gt/m/n}{}
%%% -------------------------------------------------

\renewcommand{\normalsize}{%
  \@setfontsize\normalsize\@xpt{12}%
  \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
  \abovedisplayshortskip \z@ \@plus3\p@
  \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
  \belowdisplayskip \abovedisplayskip
  \let\@listi\@listI%
}
\normalsize

\newcommand\small{%
   \@setfontsize\small\@ixpt{11}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 4\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}

\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{9.5}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 3\p@ \@plus\p@ \@minus\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}

\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}

%%\if@twocolumn
%%  \setlength\parindent{1em}
%%\else
%%  \setlength\parindent{15\p@}
%%\fi

\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\headheight{12\p@}
%\setlength\headsep   {25\p@}
\setlength\topskip   {10\p@}
%\setlength\footskip{30\p@}

\if@compatibility \setlength\maxdepth{4\p@} \else
\setlength\maxdepth{.5\topskip} \fi

\if@compatibility
  \if@twocolumn
    \setlength\textwidth{410\p@}
  \else
    \setlength\textwidth{345\p@}
  \fi
\else
  \setlength\@tempdima{\paperwidth}
  \addtolength\@tempdima{-2in}
  \setlength\@tempdimb{345\p@}
  \if@twocolumn
    \ifdim\@tempdima>2\@tempdimb\relax
      \setlength\textwidth{2\@tempdimb}
    \else
      \setlength\textwidth{\@tempdima}
    \fi
  \else
    \ifdim\@tempdima>\@tempdimb\relax
      \setlength\textwidth{\@tempdimb}
    \else
      \setlength\textwidth{\@tempdima}
    \fi
  \fi
\fi

\if@compatibility\else
  \@settopoint\textwidth
\fi

\if@compatibility
  \setlength\textheight{43\baselineskip}
\else
  \setlength\@tempdima{\paperheight}
  \addtolength\@tempdima{-2in}
  \addtolength\@tempdima{-1.5in}
  \divide\@tempdima\baselineskip
  \@tempcnta=\@tempdima
  \setlength\textheight{\@tempcnta\baselineskip}
\fi
\addtolength\textheight{\topskip}
\if@twocolumn
 \setlength\marginparsep {10\p@}
\else
  \setlength\marginparsep{11\p@}
\fi

\setlength\marginparpush{5\p@}

\if@compatibility
  \if@twoside
     \setlength\oddsidemargin   {44\p@}
     \setlength\evensidemargin  {82\p@}
     \setlength\marginparwidth {107\p@}
  \else
     \setlength\oddsidemargin   {63\p@}
     \setlength\evensidemargin  {63\p@}
     \setlength\marginparwidth  {90\p@}
  \fi
  \if@twocolumn
     \setlength\oddsidemargin  {30\p@}
     \setlength\evensidemargin {30\p@}
     \setlength\marginparwidth {48\p@}
  \fi
\else
  \if@twoside
    \setlength\@tempdima        {\paperwidth}
    \addtolength\@tempdima      {-\textwidth}
    \setlength\oddsidemargin    {.4\@tempdima}
    \addtolength\oddsidemargin  {-1in}
    \setlength\marginparwidth   {.6\@tempdima}
    \addtolength\marginparwidth {-\marginparsep}
    \addtolength\marginparwidth {-0.4in}
  \else
    \setlength\@tempdima        {\paperwidth}
    \addtolength\@tempdima      {-\textwidth}
    \setlength\oddsidemargin    {.5\@tempdima}
    \addtolength\oddsidemargin  {-1in}
    \setlength\marginparwidth   {.5\@tempdima}
    \addtolength\marginparwidth {-\marginparsep}
    \addtolength\marginparwidth {-0.4in}
    \addtolength\marginparwidth {-.4in}
  \fi
  \ifdim \marginparwidth >2in
     \setlength\marginparwidth{2in}
  \fi
  \@settopoint\oddsidemargin
  \@settopoint\marginparwidth
  \setlength\evensidemargin  {\paperwidth}
  \addtolength\evensidemargin{-2in}
  \addtolength\evensidemargin{-\textwidth}
  \addtolength\evensidemargin{-\oddsidemargin}
  \@settopoint\evensidemargin
\fi

\if@compatibility
  \setlength\topmargin{27pt}
\else
  \setlength\topmargin{\paperheight}
  \addtolength\topmargin{-2in}
  \addtolength\topmargin{-\headheight}
  \addtolength\topmargin{-\headsep}
  \addtolength\topmargin{-\textheight}
  \addtolength\topmargin{-\footskip}     % this might be wrong!
  \addtolength\topmargin{-.5\topmargin}
  \@settopoint\topmargin
\fi


\setlength\footnotesep{6.65\p@}
\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}

%-- {Ɛ}\̊2sAL
\setlength\floatsep{2\baselineskip \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{2\baselineskip plus 4mm minus 3mm}
\setlength\dblfloatsep    {2\baselineskip \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{2\baselineskip  plus 4mm minus 3mm}

\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}

\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}


\def\@listi{\leftmargin\leftmargini
            \parsep 4\p@ \@plus2\p@ \@minus\p@
            \topsep 8\p@ \@plus2\p@ \@minus4\p@
            \itemsep4\p@ \@plus2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    4\p@ \@plus2\p@ \@minus\p@
              \parsep    2\p@ \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}
%\endinput
%%
%% End of file `size10.clo'.
%===========================


\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
%\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301

%--- DraftiejIvVw肳ꂽƂ --------
\ifDraft
\renewcommand{\baselinestretch}{2.0}\large\normalsize%%!!
\@twocolumnfalse%%!!
%%
%%\usepackage{lineno}
%%
\else\fi
%----------------------------------------------------

\setcounter{topnumber}{6}%
\setcounter{bottomnumber}{5}%
\setcounter{totalnumber}{11}%
\setcounter{dbltopnumber}{5}%
\renewcommand{\topfraction}{1}%
\renewcommand{\bottomfraction}{1}%
\renewcommand{\textfraction}{0}%
\renewcommand{\floatpagefraction}{0}%
\renewcommand{\dbltopfraction}{1}%
\renewcommand{\dblfloatpagefraction}{0}%


%%% from ieice.cls(uls)
\if@Proof
 \def\@Rtop{\rlap{\smash{\rule[-\headsep]{0.05mm}{10mm}%
  \rule[-\headsep]{10mm}{0.05mm}}}}
 \def\@Ltop{\llap{\smash{\rule[-\headsep]{10mm}{0.05mm}%
  \rule[-\headsep]{0.05mm}{10mm}}}}
 \def\@Rbot{\rlap{\smash{\raisebox{1\footskip}
  {\rule[-10mm]{0.05mm}{10mm}\rule{10mm}{0.05mm}}}}}
 \def\@Lbot{\llap{\smash{\raisebox{1\footskip}
  {\rule{10mm}{0.05mm}\rule[-10mm]{0.05mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi

\hoffset-5mm%-12mm%
\voffset-15mm%-0mm%
%---- uls 
%\iftombow
% \topmargin\paperheight
% \advance \topmargin -\textheight
% \advance \topmargin -\headheight
% \advance \topmargin -\headsep
% \advance \topmargin -\footskip
% \divide \topmargin \tw@
% \advance \topmargin -14mm%1.25
% \advance \topmargin -1in
% \@settopoint\topmargin
% \oddsidemargin\paperwidth
% \advance \oddsidemargin -\textwidth
% \divide \oddsidemargin \tw@
% \advance \oddsidemargin -1in
% \advance \oddsidemargin -7mm%%!!.25
% \@settopoint\oddsidemargin
% \evensidemargin\oddsidemargin
% \@settopoint\evensidemargin
%\else
% \topmargin \z@
% \@settopoint\topmargin
% \oddsidemargin\z@
% \@settopoint\oddsidemargin
% \evensidemargin\z@
% \@settopoint\evensidemargin
%\fi
%----- 


%--- p[^ --------------

\setlength{\textwidth}{41pc}
\setlength{\textheight}{57pc}

\addtolength{\topmargin}{-27pt}%
\addtolength{\oddsidemargin}{3.5mm}
\addtolength{\evensidemargin}{-3.5mm}
\setlength{\footskip}{13.25mm}

\setlength{\parindent}{10pt}
\setlength{\columnsep}{1.7pc}
\setlength{\headsep}{.25in}
\setlength{\parskip}{0pt}

%------------------------------


%--- ֌W

%%\def\ps@myheadings{%
%%    \let\@oddfoot\@empty\let\@evenfoot\@empty
%%    \def\@evenhead{\thepage\hfil\slshape\leftmark}%
%%    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
%%    \let\@mkboth\@gobbletwo
%%    \let\sectionmark\@gobble
%%    \let\subsectionmark\@gobble
%%    }

% ^Cgy[W  HashiraIvVŃXCb`O
\def\ps@plain{%
\ifHashira
  \let\@mkboth\@gobbletwo
  \def\@oddhead{\@Ltop{\small\textsf{RIKEN Accel.\ Prog.\ Rep.}\ \textbf{\@Vol} \textsf{(\theYEAR)}}\hfill\@Rtop}%
  \def\@evenhead{\@Ltop{\small\textsf{RIKEN Accel.\ Prog.\ Rep.}\ \textbf{\@Vol} \textsf{(\theYEAR)}}\hfill\@Rtop}%
  \def\@oddfoot{\@Lbot\hfill\small\textsf{\thepage}\@Rbot}%
  \def\@evenfoot{\@Lbot\small\textsf{\thepage}\hfill\@Rbot}%
\else
\let\@mkboth\@gobbletwo
\def\@oddhead{\@Ltop\hfill\@Rtop}%
\def\@oddfoot{\@Lbot\hfill\@Rbot}%
\def\@evenhead{\@Ltop\hfill\@Rtop}%
\def\@evenfoot{\@Lbot\hfill\@Rbot}%
\fi
}

% ʏy[W  HashiraIvVŃXCb`O
\def\ps@headings{%
\ifHashira
  \let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfill\@Rtop}
 \def\@evenhead{\@Ltop\hfill\@Rtop}
  \def\@oddfoot{\@Lbot\hfill\small\textsf{\thepage}\@Rbot}%
  \def\@evenfoot{\@Lbot\small\textsf{\thepage}\hfill\@Rbot}%
\else
\let\@mkboth\@gobbletwo
\def\@oddhead{\@Ltop\hfill\@Rtop}%
\def\@oddfoot{\@Lbot\hfill\@Rbot}%
\def\@evenhead{\@Ltop\hfill\@Rtop}%
\def\@evenfoot{\@Lbot\hfill\@Rbot}%
\fi
}

\def\ps@empty{\let\@mkboth\@gobbletwo
\def\@oddhead{\@Ltop\hfill\@Rtop}%
\def\@oddfoot{\@Lbot\hfill\@Rbot}%
\def\@evenhead{\@Ltop\hfill\@Rtop}%
\def\@evenfoot{\@Lbot\hfill\@Rbot}}


\newcounter{YEAR}

\def\Vol#1{\gdef\@Vol{#1}%
\setcounter{YEAR}{#1}%
\addtocounter{YEAR}{1967}%
}
\def\@Vol{00}

%-------------------


%- r -------------------------------------------

\renewcommand{\thefootnote}{\alph{footnote}}
%\def\@makefnmark{\hbox{$^{*\@thefnmark}$\hss}}%
\def\@makefnmark{\hbox{$^{{\rm\@thefnmark})}$\hss}}%

\def\footnoterule{%
  \kern-3\p@
  \hrule width \columnwidth
  \kern 2.6\p@}
\long\def\@makefntext#1{%
  \par\hangindent 15pt \noindent
  \hbox to 1.8em{$^{{\rm\@thefnmark})}$\hss}#1%
}

%--------------------------------------------------


%------------------ CN^Cg ---

%%-- \蕔 --
\def\title{\@ifstar{\Stitle}{\Title}}
\def\Title#1{\def\@title{#1}%
\titleaddcontentsline{tit}{titlea}{#1}%
}
\def\Stitle#1{\def\@title{#1\smash{$^{\dagger}$}}%
\titleaddcontentsline{tit}{titlea}{#1}%
}
\def\@title{}

\newcommand{\titleofcontents}{%
\@starttit{tit}%
}

\def\@starttit#1{%
  \begingroup
    \makeatletter
%    \@input{\jobname.#1}%
    \if@filesw
      \expandafter\newwrite\csname tf@#1\endcsname
      \immediate\openout \csname tf@#1\endcsname \jobname.#1\relax
    \fi
    \@nobreakfalse
  \endgroup}

\long\def\titleaddcontentsline#1#2#3{%
  \protected@write\@auxout
    {\let\label\@gobble \let\index\@gobble \let\glossary\@gobble
\@temptokena{\thepage}}%
    {\string\@writefile{#1}%
%       {\protect\STITLE{#3}%{\the\@temptokena}
       {{#3}{\the\@temptokena}
}}%
}

%%--------------

% \Ϙ_p
\def\Condensed#1{%
\begingroup
\def\protect{\noexpand\protect\noexpand}\xdef\@RIKEN{\@RIKEN
\protect\footnotetext[100]{#1}%
}\endgroup}
\def\@RIKEN{}

\def\ADJ#1{\gdef\@ADJ{#1}}
\def\@ADJ{}
\ADJ{0mm}

\newcommand{\maketitle}{%
%  \clearpage
  \par
  \begingroup
   \renewcommand{\thefootnote}{\arabic{footnote}}%
   \def\@makefnmark{\hbox{\ifydir $\m@th^{\@thefnmark}$
      \else\hbox{\yoko$\m@th^{\@thefnmark}$}\fi}}%
\long\def\@makefntext##1{%
  \par\hangindent 15pt \noindent
 \hbox to 1.8em{%
\ifnum\@thefnmark=100
  $^{\dagger}$%
\else     
  \ifnum\@thefnmark=0
    $^{*}$%
  \else
    $^{*\@thefnmark}$%
  \fi
\fi
\hss}##1
}%
    \if@twocolumn
      \ifnum
        \col@number=\@ne \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
     \thispagestyle{plain}%%\@institute
  \@RIKEN
  \@INSTITUTE
  \endgroup
  \setcounter{footnote}{0}%
  \setcounter{table}{0}
  \setcounter{figure}{0}
  \setcounter{section}{0}
  \setcounter{equation}{0}
%  \global\let\thanks\relax
%  \global\let\maketitle\relax
%  \global\let\p@thanks\relax
%  \global\let\@thanks\@empty
%  \global\let\@author\@empty
%  \global\let\@date\@empty
%  \global\let\@title\@empty
%  \global\let\title\relax
%  \global\let\author\relax
%  \global\let\date\relax
%  \global\let\and\relax
  \global\let\@keyword\relax
%----- DraftiejIvVw肳ꂽƂsԍ
\ifDraft
\linenumbers
\else\fi
%-----
%\ifHamono
\flushbottom
%\else
%\raggedbottom
%\fi
\titleofcontents%%!!
}

\def\@maketitle{%
  \thispagestyle{plain}%%
  \newpage%\null
  \vspace*{-.5mm}%%!!
  \vspace*{-\baselineskip}%-
%  \vspace*{-2em}%
  \begin{center}%
%%  \let\footnote\thanks
{\Large\bfseries\mathversion{bold}\@title

} 
\par%
    \vskip 1.5em%
    {%
     \lineskip .5em%
     \begin{center}
       \@author
     \end{center}
     \par
%%%     \@ifundefined{@keyword}{}{\@putkeyword}%  keyword폜
    }%
  \end{center}%
  \par\vskip .5em
 \vspace{\@ADJ}%
\par}


%--- ҖC\p -------

% Җ

\def\Name#1{#1}

\def\institute{\@ifstar{\INstitute}{\Institute}}

% 
\def\INstitute#1{%
$^{#1}$%
}
% 
\def\Institute#1{%
\ifnum#1=0 $^*$%
\else 
$^{*#1}$%
\fi}

% ̋Lq
\def\INSTITUTE#1#2{%
\begingroup
\def\protect{\noexpand\protect\noexpand}\xdef\@INSTITUTE{\@INSTITUTE
\protect\footnotetext[#1]{#2}%
}\endgroup}
\def\@INSTITUTE{}{}

%------------------------------

%---- L[[h --

\def\keyword#1{%
  \gdef\@keyword{\normalsize#1}
}

\def\@putkeyword{%
%  \vskip .5em
  \settowidth{\@tempdima}{\@keyword}
  \ifdim\@tempdima < 140mm
    $\left[\mbox{\@keyword}\right]$
  \else
    $\left[\parbox{140mm}{\strut\@keyword\strut}\right]$
  \fi
}

%----------------------


\setcounter{secnumdepth}{3}

%%\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
%%\newcounter {paragraph}[subsubsection]
%%\newcounter {subparagraph}[paragraph]

%%\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
%%\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
%%\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}

%%\newcommand\part{\par
%%   \addvspace{4ex}%
%%   \@afterindentfalse
%%   \secdef\@part\@spart}
%%
%%\def\@part[#1]#2{%
%%    \ifnum \c@secnumdepth >\m@ne
%%      \refstepcounter{part}%
%%      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
%%    \else
%%      \addcontentsline{toc}{part}{#1}%
%%    \fi
%%    {\parindent \z@ \raggedright
%%     \interlinepenalty \@M
%%     \normalfont
%%     \ifnum \c@secnumdepth >\m@ne
%%       \Large\bfseries \partname~\thepart
%%       \par\nobreak
%%     \fi
%%     \huge \bfseries #2%
%%     \markboth{}{}\par}%
%%    \nobreak
%%    \vskip 3ex
%%    \@afterheading}
%%\def\@spart#1{%
%%    {\parindent \z@ \raggedright
%%     \interlinepenalty \@M
%%     \normalfont
%%     \huge \bfseries #1\par}%
%%     \nobreak
%%     \vskip 3ex
%%     \@afterheading}

\newcommand\section{%
  \@startsection{section}{1}{\z@}%
                {\baselineskip}%
                {\baselineskip}%
                {\reset@font\normalsize\bfseries\mathversion{bold}}}

\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                {\baselineskip}%
                {.01\baselineskip}%
                                     {\reset@font\normalsize\bfseries\mathversion{bold}}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {3.25ex\@plus 1ex \@minus .2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}

%%\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
%%                                    {3.25ex \@plus1ex \@minus.2ex}%
%%                                    {-1em}%
%%                                    {\normalfont\normalsize\bfseries}}
%%\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
%%                                       {3.25ex \@plus1ex \@minus .2ex}%
%%                                       {-1em}%
%%                                      {\normalfont\normalsize\bfseries}}

\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi

\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty


%------- ӏ ---------------------

\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@roman\c@enumii}
\renewcommand\theenumiii{\@alph\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{(\theenumi)}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{(\theenumiii)}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}

\def\enumerate{%
  \ifnum \@enumdepth >\thr@@\@toodeep\else
    \advance\@enumdepth\@ne
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
      \expandafter
      \list
        \csname label\@enumctr\endcsname
        {
         \setlength{\leftmargin}{27pt}
         \setlength{\listparindent}{0mm}
         \setlength{\itemindent}{0pt}
         \setlength{\labelsep}{4pt}
         \setlength{\labelwidth}{\leftmargin}
         \setlength{\itemsep}{0pt}
         \setlength{\parsep}{0pt}
         \setlength{\topsep}{.5\baselineskip}
         \setlength{\partopsep}{0pt}
         \setlength{\parskip}{0pt}
         \addtolength{\labelwidth}{-\labelsep}
         \addtolength{\labelwidth}{\itemindent}
         \labelsep=.9em%
         \labelwidth=1em%
         \usecounter\@enumctr%
         %\def\makelabel##1{\hss\llap{##1}}%
         %\def\makelabel##1{{##1}\hss}%
         \def\makelabel##1{\rlap{##1}\hss}%
         \ifnum \@enumdepth >1
         \topsep=0pt
         \leftmargin=0pt
         \else\fi
        }%
  \fi}
\let\endenumerate =\endlist

\def\Enumerate{%
  \ifnum \@enumdepth >\thr@@\@toodeep\else
    \advance\@enumdepth\@ne
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
      \expandafter
      \list
        \csname label\@enumctr\endcsname
        {
         \setlength{\leftmargin}{25pt}
         \setlength{\listparindent}{0mm}
         \setlength{\itemindent}{0pt}
         \setlength{\labelsep}{4pt}
         \setlength{\labelwidth}{\leftmargin}
         \setlength{\itemsep}{0pt}
         \setlength{\parsep}{0pt}
         \setlength{\topsep}{.5\baselineskip}
         \setlength{\partopsep}{0pt}
         \setlength{\parskip}{0pt}
         \addtolength{\labelwidth}{-\labelsep}
         \addtolength{\labelwidth}{\itemindent}
         \labelsep=.5em
         \labelwidth=1em
         \usecounter\@enumctr%
         \def\makelabel##1{\hss\llap{##1}}%
         %\def\makelabel##1{{##1.}\hss}%
        }%
  \fi}
\let\endEnumerate =\endlist

\def\maruenumerate{%
  \ifnum \@enumdepth >\thr@@\@toodeep\else
    \advance\@enumdepth\@ne
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
      \expandafter
      \list
        \csname label\@enumctr\endcsname
        {
         \setlength{\leftmargin}{24pt}
         \setlength{\listparindent}{0mm}
         \setlength{\itemindent}{0pt}
         \setlength{\labelsep}{4pt}
         \setlength{\labelwidth}{\leftmargin}
         \setlength{\itemsep}{0pt}
         \setlength{\parsep}{0pt}
         \setlength{\topsep}{.5\baselineskip}
         \setlength{\partopsep}{0pt}
         \setlength{\parskip}{0pt}
         \addtolength{\labelwidth}{-\labelsep}
         \addtolength{\labelwidth}{\itemindent}
         \labelsep=.5em
         \labelwidth=1em
         \usecounter\@enumctr%
         %\def\makelabel##1{\hss\llap{##1}}%
         \def\makelabel##1{\MARU{##1}\hss}%
        }%
  \fi}
\let\endmaruenumerate =\endlist

\def\itemize{%
  \ifnum \@itemdepth >\thr@@\@toodeep\else
    \advance\@itemdepth\@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
    \expandafter
    \list
      \csname\@itemitem\endcsname
      {\leftmargin=7mm
       \topsep.5\baselineskip\parsep\z@\partopsep\z@\itemsep\z@
       \clubpenalty-200\relax
       \def\makelabel##1{\hss\llap{##1}}}%
  \fi}
\let\enditemize =\endlist


\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}

\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}

\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}

\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}

%------------------------------------------


%%\if@compatibility
%%\newenvironment{titlepage}
%%    {%
%%      \if@twocolumn
%%        \@restonecoltrue\onecolumn
%%      \else
%%        \@restonecolfalse\newpage
%%      \fi
%%      \thispagestyle{empty}%
%%      \setcounter{page}\z@
%%    }%
%%    {\if@restonecol\twocolumn \else \newpage \fi
%%    }
%%\else
%%\newenvironment{titlepage}
%%    {%
%%      \if@twocolumn
%%        \@restonecoltrue\onecolumn
%%      \else
%%        \@restonecolfalse\newpage
%%      \fi
%%      \thispagestyle{empty}%
%%      \setcounter{page}\@ne
%%    }%
%%    {\if@restonecol\twocolumn \else \newpage \fi
%%     \if@twoside\else
%%        \setcounter{page}\@ne
%%     \fi
%%    }
%%\fi

%%\newcommand\appendix{\par
%%  \setcounter{section}{0}%
%%  \setcounter{subsection}{0}%
%%  \renewcommand\thesection{\@Alph\c@section}}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation}


%--- }\ -------------------------------

%%% center̑ÕAL by uls
\def\Center{\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\def\endCenter{\endtrivlist}
%%%

\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure.}
\newenvironment{figure}
               {\@floatenv\capwidth=\columnwidth
               \abovecaptionskip10pt\belowcaptionskip0pt\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@floatenv\capwidth=35pc
               \abovecaptionskip10pt\belowcaptionskip0pt\@dblfloat{figure}}
               {\end@dblfloat}

\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
%\def\fnum@table{\tablename~\thetable}
\def\fnum@table{{\tablename\hskip.5em\thetable.}}
\newenvironment{table}
               {\@floatenv\capwidth=\columnwidth
               \abovecaptionskip0pt\belowcaptionskip10pt\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@floatenv\capwidth=35pc
               \abovecaptionskip0pt\belowcaptionskip10pt\@dblfloat{table}}
               {\end@dblfloat}

\newlength\abovecaptionskip
\newlength\belowcaptionskip

\def\@floatboxreset {%
        \reset@font
        \small
%        \@setminipage
}
\def\@floatenv{\small\let\center\Center}

%------------- LvV

\newdimen\capwidth

\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\small\textrm{#1\hskip.5em#2}}}%
  \ifdim \wd\@tempboxa>\capwidth
    %%% \capwidth 蒷Ƃ
\centerline{\parbox[t]{\capwidth}{%
    \hangindent=0.5cm\hangafter=1\noindent 
    {\small\textrm{#1\hskip.5em #2}}}}\relax%\par
  \else
    \global \@minipagefalse
    %%% \capwidth ZƂ
    \centerline{\textrm{\box\@tempboxa}}%
  \fi
  \vskip\belowcaptionskip}

%--------------------------------------------

%---- iu̐}\p}N -----
\newbox\@dummyfigbox
\def\twocolcaption#1{\small%  
\vskip\abovecaptionskip
\def\test@captype{figure}
\ifx \@captype\test@captype
 \refstepcounter{figure}%
\else
 \refstepcounter{table}%
\fi
\setbox\@dummyfigbox\hbox{%
{\csname fnum@\@captype\endcsname}\hskip.5em #1}%
 \capwidth=35pc
 \ifdim \wd\@dummyfigbox < \capwidth%
  \noindent\hbox to \columnwidth{\hbox to \textwidth{\hss\hbox to \capwidth{\copy\@dummyfigbox\hss}\hss}\hss}\par
 \else
  \setbox\@dummyfigbox\hbox{%
  \begin{minipage}[t]{\capwidth}%
  \hangindent=.5cm\hangafter=1%%!!
{\csname  fnum@\@captype\endcsname}\hskip.5em #1%
 \end{minipage}}%
  \noindent
 \hbox to \columnwidth{\hbox to \textwidth{\hss\hbox to \capwidth{\copy\@dummyfigbox\hss}\hss}\hss}\par
 \fi
  \vskip\belowcaptionskip
}

\def\dummyfigure#1{%
\begin{figure}[b]
\vspace{#1}
\vskip\abovecaptionskip
\phantom{\box\@dummyfigbox}\par
\end{figure}
}
%---------------------------------------


\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}

\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }

%\newcommand*\l@part[2]{%
%  \ifnum \c@tocdepth >-2\relax
%    \addpenalty\@secpenalty
%    \addvspace{2.25em \@plus\p@}%
%    \begingroup
%      \parindent \z@ \rightskip \@pnumwidth
%      \parfillskip -\@pnumwidth
%      {\leavevmode
%       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
%       \nobreak
%       \if@compatibility
%         \global\@nobreaktrue
%         \everypar{\global\@nobreakfalse\everypar{}}%
%      \fi
%    \endgroup
%  \fi}

\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure


%- Ql ---------------------------------

\newdimen\bibindent
\setlength\bibindent{1.5em}

\newenvironment{thebibliography}[1]
{%
%---
\renewcommand\section{%
  \@startsection{section}{1}{\z@}%
                {\baselineskip}%
                {0pt}%
                {\normalfont\normalsize}}%%!!
%---
\section*{\refname}%
\small%%!!
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
%\itemsep0zw\parsep0zw\topsep0zw\partopsep0zw
\itemsep0mm\parsep0mm\topsep0mm\partopsep0mm
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\def\@biblabel#1{#1)}

\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty

%%## citesort.sty ##%%
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne{\bfseries ?}%
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%
\ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else \edef\@h@ld{\ifmmode{-}\else--\fi\csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
\fi}%
\def\@citea{,\penalty\@highpenalty}}\@h@ld}{#1}}
%% end of citesort.sty

%% from "cite.sty", a little modified
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  \kern\z@
  $^{\mbox{\scriptsize {\multiply\@highpenalty 3 #1%  % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.
    })}}$\spacefactor\@m}
%% end of cite.sty

%--------------------------------------------


\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}


\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
%\newcommand\figurename{Figure}
\newcommand\figurename{Fig.}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}

\setlength\columnseprule{0\p@}

\def\sloppy{\tolerance9999\hbadness4000\hfuzz1\p@ \vfuzz1\p@}
\hbadness4000
\vbadness10001
\clubpenalty\z@
\widowpenalty\z@
\displaywidowpenalty\z@
\interdisplaylinepenalty\z@
\predisplaypenalty\z@

\pagestyle{headings}
\pagenumbering{arabic}

\if@twoside
\else
  \raggedbottom
\fi

\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
  \sloppy%
  \flushbottom%
\fi


%--- ǉ}N -------------------------------

\def\MARU#1{\raisebox{0.1zh}{{\rm\ooalign{\hfil 
\lower.1ex\hbox{\small #1}\hfil\crcr\mathhexbox20D}}}}

%\def\doubledash{\leavevmode\hbox to 2zw{---\hss ---}}

\def\Hline{\noalign{\hrule height 0.3mm}}

\def\onelineskip{\par\vspace{1\baselineskip}\par}

\def\halflineskip{\par\vspace{.5\baselineskip}\par}

\newcommand{\AmSLaTeX}{%
 $\mathcal A$\lower.4ex\hbox{$\!\mathcal M\!$}$\mathcal S$-\LaTeX}
\newcommand{\PS}{{\scshape Post\-Script}}

%----------------------------------------------


%% from fleqn.clo
%\ProvidesFile{fleqn.clo}
%        [1996/07/26 v1.1b Standard LaTeX option
%                                   (flush left equations)]
\newdimen\mathindent
\AtEndOfClass{\mathindent1pc}%%!!
\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
    \parsep  4\p@ \@plus2\p@ \@minus\p@
    \topsep  8\p@ \@plus2\p@ \@minus4\p@
    \itemsep 4\p@ \@plus2\p@ \@minus\p@
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
      \hskip\@centering
      $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      \global\@eqcnt\@ne \hskip.8\arraycolsep \hfil${##}$\hfil&%
      \global\@eqcnt\tw@ \hskip.8\arraycolsep
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }
%\endinput
%%
%% End of file `fleqn.clo'.


\endinput%%%!!!!
%%
%% End of file `accel.cls'.
